Skip to main content
GET
/
v1
/
market
/
price-history
/
{id}
Get price history
curl --request GET \
  --url https://joyride.exchange/api/v1/market/price-history/{id}
{
  "instrument_id": "SOL_USDC-28FEB26-150-C",
  "data": [
    {
      "timestamp": 1709164800000000,
      "bid_price": 123,
      "ask_price": 123,
      "mid_price": 123,
      "spot_price": 123
    }
  ],
  "price_decimals": 6
}

Documentation Index

Fetch the complete documentation index at: https://docs.joyride.exchange/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

Instrument identifier (e.g., SOL_USDC-28FEB26-150-C)

Query Parameters

start
integer

Start timestamp filter

end
integer

End timestamp filter

Response

200 - application/json

Price history

instrument_id
string
required
Example:

"SOL_USDC-28FEB26-150-C"

data
object[]
required
price_decimals
integer
required

Decimals applied to bid_price/ask_price/mid_price/spot_price (always 6).

Example:

6